Page MenuHomePhabricator

No auto-submodule updates to 1.26wmf14
Closed, ResolvedPublic

Description

Event Timeline

Krenair created this task.Jul 16 2015, 5:29 AM
Krenair assigned this task to 20after4.
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 5:29 AM

Change 225077 had a related patch set uploaded (by Alex Monk):
update .gitmodules to include branch tracking details

https://gerrit.wikimedia.org/r/225077

Change 225077 merged by Chad:
update .gitmodules to include branch tracking details

https://gerrit.wikimedia.org/r/225077

The reason for the inconsistency is that git ~v1.7 (the version we have on tin) doesn't set the branch=wmf/$version for the submodules in .gitmodules but git > v2.0 does do that. So when I create the new branch on my laptop it gets set up but on tin it does not.

mmodell closed this task as Resolved.Jul 23 2015, 6:20 AM
greg moved this task from INBOX to Done on the Release-Engineering-Team board.Jul 28 2015, 8:37 PM